<?xml version="1.0" encoding="UTF-8"?>
<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:framework:ObjectManager/etc/config.xsd">
    <preference for="Xcoding\ReviewExtended\Api\Data\ReviewRatingInterface" type="Xcoding\ReviewExtended\Model\ReviewRating"/>
    <preference for="Xcoding\ReviewExtended\Api\Data\ReviewRatingSearchResultsInterface" type="Magento\Framework\Api\SearchResults"/>
    <preference for="Xcoding\ReviewExtended\Api\ReviewRatingRepositoryInterface" type="Xcoding\ReviewExtended\Model\ReviewRatingRepository"/>
    <preference for="Xcoding\ReviewExtended\Api\Data\ReviewRatingAggregatedInterface" type="Xcoding\ReviewExtended\Model\ReviewRatingAggregated"/>
    <preference for="Xcoding\ReviewExtended\Api\Data\ReviewRatingAggregatedSearchResultsInterface" type="Magento\Framework\Api\SearchResults"/>
    <preference for="Xcoding\ReviewExtended\Api\ReviewRatingAggregatedRepositoryInterface" type="Xcoding\ReviewExtended\Model\ReviewRatingAggregatedRepository"/>
    <preference for="Xcoding\ReviewExtended\Api\Command\GetAvailableOptionsInterface" type="Xcoding\ReviewExtended\Model\Command\GetAvailableOptions" />
    <preference for="Magento\Review\Block\Adminhtml\Edit\Form" type="Xcoding\ReviewExtended\Block\Adminhtml\Edit\Form" />
    <preference for="Magento\Review\Model\ResourceModel\Review" type="Xcoding\ReviewExtended\Model\ResourceModel\Review" />
    <type name="Magento\Review\Model\Review">
        <plugin name="Xcoding_ReviewExtend_Plugin_AfterAgregate" sortOrder="10" type="Xcoding\ReviewExtended\Plugin\Review\Model\Review"/>
    </type>
</config>